![Paramaterial logo](https://github.com/dan-slater/paramaterial/blob/main/docs/img/paramaterial-logo.png?raw=true)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/paramaterial)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
![PyPI - Wheel](https://img.shields.io/pypi/wheel/paramaterial)
![Libraries.io dependency status for latest release](https://img.shields.io/librariesio/release/pypi/paramaterial)
[![PyPI version](https://badge.fury.io/py/paramaterial.svg)](https://badge.fury.io/py/paramaterial)
![GitHub release (latest by date including pre-releases)](https://img.shields.io/github/v/release/dan-slater/paramaterial?include_prereleases)

## About

A Python package for parameterizing materials test data. Given a set of experimental measurements, Paramaterial can be
used to determine material properties and constitutive model parameters.

* **Source Code**: [https://github.com/dan-slater/paramaterial](https://github.com/dan-slater/paramaterial)

* **Documentation**: [https://dan-slater.github.io/paramaterial/](https://dan-slater.github.io/paramaterial/)

* **PyPI**: [https://pypi.org/project/paramaterial/](https://pypi.org/project/paramaterial/)

The package was designed to help improve the quality and quantity of data available for materials modeling and
simulation. It is hoped that using Paramaterial will help improve repeatability and reproducibility of materials test
data analyses, and help to reduce the time and effort required to perform such analyses.

## Usage

Usage of the toolkit is demonstrated in the [example]() notebook.

## Installation

```shell
pip install paramaterial
```

## Contributing

Please go to the GitHub repository and submit an issue or pull request.

## License

Paramaterial is licensed under the MIT license. 


